summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2016-06-11 23:09:25 -0400
committerMike Frysinger <vapier@gentoo.org>2016-06-11 23:57:19 -0400
commit027dcae26afbe794cd4eef929f8bdc27bb602880 (patch)
tree972a6b678726774d1aab0860a2dab0e5019187c9 /eclass/mysql-cmake.eclass
parentdev-python/pygccxml: bump to 1.7.5, update to new HOMEPAGE and SRC_URI. (diff)
downloadgentoo-027dcae26afbe794cd4eef929f8bdc27bb602880.tar.gz
gentoo-027dcae26afbe794cd4eef929f8bdc27bb602880.tar.bz2
gentoo-027dcae26afbe794cd4eef929f8bdc27bb602880.zip
mysql-cmake/mysql-multilib eclasses: set STACK_DIRECTION to fix cross-compiles
Diffstat (limited to 'eclass/mysql-cmake.eclass')
-rw-r--r--eclass/mysql-cmake.eclass6
1 files changed, 5 insertions, 1 deletions
diff --git a/eclass/mysql-cmake.eclass b/eclass/mysql-cmake.eclass
index 0f0f5b448fd8..f14c9a7cf67b 100644
--- a/eclass/mysql-cmake.eclass
+++ b/eclass/mysql-cmake.eclass
@@ -16,7 +16,7 @@
# the src_prepare, src_configure, src_compile, and src_install
# phase hooks.
-inherit cmake-utils flag-o-matic multilib prefix eutils
+inherit cmake-utils flag-o-matic multilib prefix eutils toolchain-funcs
#
# HELPER FUNCTIONS:
@@ -243,6 +243,10 @@ configure_cmake_standard() {
if mysql_version_is_at_least "10.1.2" ; then
mycmakeargs+=( $(mysql-cmake_use_plugin cracklib CRACKLIB_PASSWORD_CHECK ) )
fi
+
+ # The build forces this to be defined when cross-compiling. We pass it
+ # all the time for simplicity and to make sure it is actually correct.
+ mycmakeargs+=( -DSTACK_DIRECTION=$(tc-stack-grows-down && echo -1 || echo 1) )
else
mycmakeargs+=( $(cmake-utils_use_with extraengine FEDERATED_STORAGE_ENGINE) )
fi